<style>
    .form-control{
        padding : 0 !important;
        margin : 0 !important;

    }
</style>
<form action="{{ path('search_index') }}">

    <div class="form-group col-md-6 pr5 col-xs-12 ">
        <select name="marque" id="marque-selecter" class="select__ne form-control ">
            <option value="">Marques</option>
            {% if marques is defined %}

                {% for marque in marques %}
                    <option value="{{  marque.id }}">{{ marque.libelle| title }}</option>
                {% endfor %}

            {% endif %}
        </select>
    </div>
    <div class="form-group col-md-6 pl5 col-xs-12 ">
        <select name="modele" id="modele_select" class="select__ne form-control ">
            <option value="">Modéles</option>
        </select>
    </div>
    <input type="hidden" name="type" value="1" />
    <div class="form-group  col-md-12 col-xs-12 p0">
        <select id="city" name="city" class="select__ne form-control ">
            <option value="">Gouvernerat</option>

            {% if cities is defined %}

                {% for city in cities %}
                    <option value="{{  city.id }}">{{ city.name| title }}</option>
                {% endfor %}

            {% endif %}

        </select>
    </div>

    <div class="form-group col-md-6 pr5 col-xs-12 ">
        <select id="minp" name="minp" class="select__ne form-control">
            <option value="">Min prix (DT)</option>
            <option value="0">0</option>
            <option value="100">100</option>
            <option value="200">200</option>
            <option value="300">300</option>
            <option value="400">400</option>
            <option value="500">500</option>
            <option value="600">600</option>
            <option value="700">700</option>
            <option value="800">800</option>
        </select>
    </div>
    <div class="form-group  col-md-6 pl5 col-xs-12 mb__30 ">
        <select id="maxp"  name="maxp" class="select__ne form-control ">
            <option value="">Max prix (DT)</option>
            <option value="1000" >1000</option>
            <option value="2000">2000</option>
            <option value="3000">3000</option>
            <option value="4000">4000</option>
            <option value="5000">5000</option>
            <option value="6000">6000</option>
            <option value="7000">7000</option>
            <option value="8000">8000</option>
        </select>
    </div>
    <div class="form-group  col-md-12 col-xs-12 ">
        {% if app.request.attributes.get('_route') == 'home_page' %}
            <button type="submit" class="btn btn-success btn__large__success__home r0">
                <i class="fa fa-search"></i> Lancer la recherche
            </button>
        {% else %}
            <button type="submit" class="btn btn-success btn__large__success r0">
                <i class="fa fa-search"></i> Lancer la recherche
            </button>
        {% endif %}
    </div>
    <div class="form-group  col-md-12 text_center">
        <a href="" class="font__dark font__strong">

        </a>
    </div>
</form>

{% block javascript %}
    <script type="text/javascript">

        $(document).ready(function () {
            var marque_id = {% if marque_id is defined %}'{{ marque_id }}'{% else  %}''{% endif %};
            var modele_id = {% if modele_id is defined %}'{{ modele_id }}'{% else  %}''{% endif %};
            var minp = {% if minp is defined %}'{{ minp }}'{% else  %}''{% endif %};
            var maxp = {% if maxp is defined %}'{{ maxp }}'{% else  %}''{% endif %};
            var city = {% if city is defined %}'{{ city }}'{% else  %}''{% endif %};
            if(minp){
                $('#minp').val(minp);
            }

            if(city){
                $('#city').val(city);
            }

            if(maxp){
                $('#maxp').val(maxp);
            }
            console.log(marque_id, modele_id);
            if(marque_id){
                $('#marque-selecter'). val(marque_id)
                refrechSelects(function(){
                    if(modele_id){
                        $("#modele_select").val(modele_id)
                    }
                });

            }
            $('#marque-selecter').change(function () {
                refrechSelects()
            });
            function refrechSelects(cb){

                var marqueSelector = $('#marque-selecter');
                var marqueid= marqueSelector.val()

                console.log("here")
                // Request the models of the selected marque.
                $.ajax({
                    url: "{{ path('vehicle_model_list') }}",
                    type: "POST",
                    dataType: "JSON",
                    data: {
                        marqueid: marqueSelector.val()
                    },
                    success: function (models) {

                        var modelSelect = $("#modele_select");
                        console.log(models)

                        // Remove current options
                        modelSelect.html('');

                        // Empty value ...
                        modelSelect.append('<option value> Choisir un modele de  ' + marqueSelector.find("option:selected").text() + ' ...</option>');


                        $.each(models, function (key, model) {
                            modelSelect.append('<option value="' + model.id + '">' + model.libelle + '</option>');
                        });
                        setTimeout(function () {
                            $('.selectpicker').selectpicker('refresh');
                        },300)
                        if(cb) cb();

                    },
                    error: function (err) {
                        console.log("An error ocurred while loading data ...");
                    }
                });
            }

        })


    </script>

{% endblock %}